
Foreman - Feature #12330

Support plugin snippets in templates

10/27/2015 11:21 AM - Stephen Benjamin

Status: New   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It would be great if a plugin could provide a snippet to be included in pre or post.

Maybe a kickstart post could have something like

<%= plugin_snipppets :post %>

 And it would include any post snippets plugins have registered.

Related issues:

Related to Foreman Remote Execution - Feature #11633: Template snippets and s... Closed 09/01/2015

History

#1 - 10/27/2015 11:21 AM - Stephen Benjamin

- Subject changed from Support plugin snippet's to Support plugin snippets in templates

#2 - 10/27/2015 11:22 AM - Marek Hulán

- Related to Feature #11633: Template snippets and support for automatically adding ssh keys to provisioned hosts added

#3 - 08/01/2018 09:10 AM - Timo Goebel

- Tracker changed from Bug to Feature
